Table of Contents

## Name

xddump - dump an XDiary calendar to file

## Synopsis

xddump [-usage] [xdiaryOption ...]

## Description

xddump reads a calendar and saves the entries in a file or the entries are displayed on the screen. xddump can be used to make a backup of a calendar or to display the calendar on a character terminal.

xddump produces a tagged file where each entry is split into components (such as alarm offsets, flags, entry text etc.) which are identified with a tag. The tagged file can then be used by other utilities. One utility that uses the output file from xddump is xdrestore which restores a calendar from a tagged file.

xddump can be run in either display mode or backup mode. In display mode, the contents of a calendar is displayed on the screen while in backup mode, a tagged file is written.

In display mode, xddump provides a 'hook' for your own customized output. The tagged file produced by xddump is passed to a program or shell script you provide. This allows you to customize the output from xddump.

## Options

xddump supports several options which are described in the XDiary on-line help.

## Files

$HOME/Diary

$HOME/XDiary.backup

## See Also

The built in help in XDiary.

## Author

Roger Larsson (llg@ubszh.ch.net)

Comments, suggestions, and bug reports are always welcome.

Table of Contents

- Name
- Synopsis
- Description
- Options
- Files
- See Also
- Author